Skip to main content
GET
/
v1
/
calls
/
list
List Calls
curl --request GET \
  --url https://api.vocode.dev/v1/calls/list \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vocode.dev/v1/calls/list"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vocode.dev/v1/calls/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "to_number": "<string>",
      "from_number": "<string>",
      "agent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "agent_phone_number": "<string>",
      "status": "not_started",
      "error_message": "<string>",
      "recording_available": false,
      "transcript": "<string>",
      "do_not_call_result": true,
      "telephony_id": "<string>",
      "telephony_metadata": {
        "type": "telephony_metadata_vonage"
      },
      "start_time": 123,
      "end_time": 123,
      "hipaa_compliant": false,
      "context": {},
      "run_do_not_call_detection": true,
      "telephony_account_connection": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "telephony_params": {}
    }
  ],
  "page": 123,
  "size": 123,
  "has_more": true,
  "total": 123,
  "total_is_estimated": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
default:1
size
integer
default:10
sort_column
string | null
sort_desc
boolean | null
default:false

Response

Successful Response

items
NormalizedCall · object[]
required
page
integer
required
size
integer
required
has_more
boolean
required
total
integer
required
total_is_estimated
boolean
required